<?php

class SubscripcionController extends Controller
{
    public function actionModificar($id)
    {
        $model = $this->loadModel($id);
        
        // Uncomment the following line if AJAX validation is needed
        // $this->performAjaxValidation($model);

        if (isset($_POST['Subscripcion'])) {
            $model->attributes = $_POST['Subscripcion'];
            
            if ($model->id_producto < 10) 
                $model->id_producto = 1;
            else
                $model->id_producto = 2;
            
            if ($model->save()) {
                Yii::app()->user->setFlash('success', Yii::t('profind', 'Se ha actualizado de producto'));
                $this->redirect(array('modificar', 'id' => $model->id));
            }
        }

        $this->render('modificar', array(
            'model' => $model,
        ));
    }
        
    /**
     * Returns the data model based on the primary key given in the GET variable.
     * If the data model is not found, an HTTP exception will be raised.
     * @param integer the ID of the model to be loaded
     */
    public function loadModel($id) {
        $model = Subscripcion::model()->findByPk($id);
        if ($model === null)
            throw new CHttpException(404, Yii::t('profind', 'La página solicitada no existe.'));

        return $model;
    }
        
}